--- title: "Create temporary domain" slug: "analytics-cloudsearch-createtempdomain" updated: 2026-09-17T09:48:05Z published: 2026-09-17T09:48:05Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-createtempdomain" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Create temporary domain **We are preparing a localization service for the content. We will do our best to provide the localization service as soon as possible.** Creates a temporary domain to use in Cloud Search. You need to [validate a schema](/docs/en/analytics-cloudsearch-checkschemavalidator) before creating a temporary domain. ``` POST https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/tempdomain ``` ## Request ### Request Body | Field | Required | Type | Limitations | Description | | --- | --- | --- | --- | --- | | name | Required | String | Only English alphabet, numbers, "_" and "-" are allowed. The name must start with an alphabetical character or "_", and must be between 3 and 20 characters in length. | Domain name | | type | Optional | String | Select one of the following: small, medium, large, xlarge, xxlarge, and xxxlarge (default: small). | Scale of containers | | description | Optional | String | 0-100 characters | Domain description | | indexerCount | Optional | Number | The only available value is 1 for now. | Number of containers for indexes | | searcherCount | Optional | Number | Min: 1, Max: 4 | Number of containers for searches | | schema.document | Optional | [Schema](/docs/en/common-apidatatype-csschema) | Valid schema (A schema can be validated via [Validate schema](/docs/en/analytics-cloudsearch-checkschemavalidator)) | Search settings | ## Response | HTTP status | Description | | --- | --- | | 200 | OK (Successfully created) | | 400 | Bad Request | | 401 | Unauthorized | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Examples ### Request Example ``` POST https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/tempdomain POST /CloudSearch/real/v1/tempdomain HTTP/1.1 Host:cloudsearch.apigw.ntruss.com accept:application/json x-ncp-apigw-signature-v2: LssXAuyQepxO4ie/XFnCKTJQZzDpOD0GyNQFz9OKhjY= x-ncp-apigw-timestamp: 1545957229164 x-ncp-iam-access-key: teGTwtcSEGA7fu28BGGi { "name": "pet_temp", "description" : "search engine for pet", "type" : "small", "indexerCount": 1, "searcherCount": 1 } ``` ### Request Example ``` {"result":"ok"} ```